TULISAN - Feature #3501

Kaitan antara Outlet dan Warehouse
03/12/2025 04:26 PM - haykal haykal

Status: Closed
Priority: Normal
Assignee: haykal haykal
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/12/2025

0%
0.00 hour
0.00 hour

Description
Dear Developer,

Tolong dimake sure ya Outlet yang dipilih di CRM berkaitan dengan Warehouse.

Jadi misalnya di CRM saya memilih Toko DS (SalesOffCode 0001) itu harusnya berkaitan dengan warehouse WH DS (Warehouse

0002).

Tadi soalnya saya sudah memilih Toko DS dan coba bertransaksi dengan MateriallD 00000002 (Qty 1) tapi jumlah stoknya tidak
berkurang (masih tetap 195). Padahal dokumen GICU nya juga sudah terbuat dengan Document Status Done (GICU 00000195).

Tampaknya itu terjadi karena Outlet yang dipilih di CRM bim berkaitan dengan Warehousenya.

Tolong dicek dan diperbaiki ya.

(Note: Untuk mengecek jumlah stock bisa di Stock Monitoring Report, tab Stock Info di Material Master Data, atau di PMDMATO0004)

Tabel Outlet: PCMFILOSALESOFF
Tabel Warehouse: PCMFILOWAREHOUSE

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login.html

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 03/12/2025 04:50 PM - shofwan shiddiq
- Status changed from New to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Kalau pengaruh dari order ke stok itu bukan dari sisi CRM, tapi dari engine di belakang. si CRM hanya save ke sales order saja.

#2 - 03/13/2025 09:28 AM - haykal haykal
- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to Tri Rizqgiaty

#3 - 03/13/2025 03:26 PM - Tri Rizqiaty

- File PFILOUPDATEMDSTOCKINFO_20250313_ChangeByJd250.sql added

- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

1. Settingan salesoffice ke warehouse, tolong update table PCMFILOSALESTOWAREHOUSE

2. Case tdk motong stock, karena ada perubahan length changeby di mat0004, fixing : execute SP

#4 - 03/14/2025 09:43 AM - haykal haykal
- File Warehouse bim terisi.PNG added

- Status changed from QA Test to Revise
- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma,

Tadi aku udh coba pake Outlet Toko DS dan sudah berpengaruh ke Warehouse WH DS (stoknya sudah berkurang).

Tapi bisa gak ya field Warehouse di dokumen GICU (foto aku attach) juga auto keisi berdasarkan Outlet yang telah dipilih?
Document GICU: 00000218

Terimakasih.

#5 - 03/21/2025 03:44 PM - Tri Rizqiaty

- File MinovalS.MinovaES.Business.Logistic.dll added

- Status changed from Revise to Developing

Fixing : update folder API2/bin : MinovalS.MinovaES.Business.Logistic.dll

Notes :

1. Jika warehouse di salesitem sdh terisi, maka bisa disetting di docrefitem agar terbawa ke gicu.
2. Jika warehouse di salesitem kosong, maka warehouse di gicu ikut default dr salesfoffice.

#6 - 03/21/2025 03:44 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#7 - 03/24/2025 12:06 PM - haykal haykal
- Status changed from QA Test to Closed

Files

PFILOUPDATEMDSTOCKINFO_20250313_ChangeByJd250.sq]l 51 KB 03/13/2025 Tri Rizqgiaty
Warehouse bim terisi.PNG 11.7 KB 03/14/2025 haykal haykal
MinovalS.MinovaES.Business.Logistic.dll 83 KB 03/21/2025 Tri Rizgiaty
